---
sidebar_position: 8
description: Get user filter structure and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get user filter structure
 Returns the field structure for filtering users in the FindUsers method



`Function GetUserFilterStructure(Val Clear = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Clear | --empty | Boolean | &#x2716; | True > structure with empty valuse, False > field descriptions at values |

  
  Returns:  Structure Of KeyAndValue - Fields structure



```bsl title="1C:Enterprise/OneScript code example"
    Clear  = False;
    Result = OPI_Bitrix24.GetUserFilterStructure(Clear);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetUserFilterStructure \
             --empty false
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetUserFilterStructure ^
             --empty false
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "NAME": "<name>",
 "LAST_NAME": "<surname>",
 "WORK_POSITION": "<position>",
 "UF_DEPARTMENT_NAME": "<department name>",
 "USER_TYPE": "<type: employee, extranet, email>"
}
```
